---
updatedAt: 2025-09-18T22:37:57.000Z
agentTools:
  projectIndex: https://docs.nodereal.io/llms.txt
---

# klay_accounts

Returns a list of addresses owned by client.

> 📘 Supported on Klaytn (mainnet) only.

## Parameters

**Request**

None

**Result**

| Type                  | Description                    |
| --------------------- | ------------------------------ |
| Array of 20-byte DATA | Addresses owned by the client. |

## API Endpoint

The format of a Klaytn API endpoint is\
`https://open-platform.nodereal.io/{{apiKey}}/klaytn/`

Here is an example:\
`https://open-platform.nodereal.io/4c0a1c23661a4e26bcbcwed461e34ea9/klaytn/`

## Example

**Request**

```
curl https://open-platform.nodereal.io/{{apiKey}}/klaytn/ \
  -X POST \
  -H "Content-Type: application/json" \
  --data '{"jsonrpc":"2.0","method":"klay_accounts","params":[],"id":1}'
```

**Result**

```
{
  "jsonrpc": "2.0",
  "id":1,
  "result": ["0xc94770007dda54cF92009BFF0dE90c06F603a09f"]
}
```